import {getAllDepartment} from '@/api/cms'

const state = {

}

const mutations = {

}

const actions = {
  //1.获取所有职能 start ---------------------------------------->
  getAllDepartment({commit},data) {
    return new Promise((resolve, reject) => {
      getAllDepartment(data).then(response => {
        resolve(response)
      }).catch(error => {
        reject(error)
      })
    })
  },
  //获取所有职能 end ---------------------------------------->
}


export default {
  namespaced: true,
  state,
  mutations,
  actions
}
